Last Comment Bug 811199 - Port |Bug 794510 - Build with NO_NSPR_10_SUPPORT| to SeaMonkey
: Port |Bug 794510 - Build with NO_NSPR_10_SUPPORT| to SeaMonkey
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows Vista
: -- normal (vote)
: Thunderbird 21.0
Assigned To: Edmund Wong (:ewong)
:
Mentors:
Depends on:
Blocks: 811195
  Show dependency treegraph
 
Reported: 2012-11-12 21:12 PST by Edmund Wong (:ewong)
Modified: 2013-03-08 02:07 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
WIP port patch (v1) (629 bytes, patch)
2012-11-12 21:20 PST, Edmund Wong (:ewong)
bugspam.Callek: review-
Details | Diff | Splinter Review
Port patch (v2) (618 bytes, patch)
2012-11-12 21:29 PST, Edmund Wong (:ewong)
bugspam.Callek: review+
Details | Diff | Splinter Review
mailnews patch wip (3.43 KB, patch)
2012-12-04 21:04 PST, Edmund Wong (:ewong)
no flags Details | Diff | Splinter Review
mailnews patch for bug 811199. (v2) (16.26 KB, patch)
2012-12-07 20:37 PST, Edmund Wong (:ewong)
mnyromyr: review-
Details | Diff | Splinter Review
mailnews patch for bug 811199. (v3) (17.84 KB, patch)
2012-12-13 17:57 PST, Edmund Wong (:ewong)
mnyromyr: review+
Details | Diff | Splinter Review

Description Edmund Wong (:ewong) 2012-11-12 21:12:37 PST
We need to build with NO_NSPR_10_SUPPORT to make sure that prtypes.h does not include that header.
Comment 1 Edmund Wong (:ewong) 2012-11-12 21:14:20 PST
And this possibly could fix bug #811195
Comment 2 Edmund Wong (:ewong) 2012-11-12 21:20:17 PST
Created attachment 680941 [details] [diff] [review]
WIP port patch (v1)
Comment 3 Justin Wood (:Callek) (Away until Aug 29) 2012-11-12 21:23:08 PST
Comment on attachment 680941 [details] [diff] [review]
WIP port patch (v1)

Review of attachment 680941 [details] [diff] [review]:
-----------------------------------------------------------------

right file, wrong loc; please tack this onto the end as in:
http://mxr.mozilla.org/comm-central/source/mozilla/config/config.mk#829
Comment 4 Edmund Wong (:ewong) 2012-11-12 21:29:21 PST
Created attachment 680945 [details] [diff] [review]
Port patch (v2)
Comment 5 Justin Wood (:Callek) (Away until Aug 29) 2012-11-12 21:45:33 PST
Comment on attachment 680945 [details] [diff] [review]
Port patch (v2)

based on my find of https://hg.mozilla.org/mozilla-central/rev/62627192e156#l20.2 I want this to run through at-least TB try first, if it succeeds, we can push.

If it doesn't lets get a separate patch up to do like http://mxr.mozilla.org/comm-central/source/mozilla/extensions/gio/nsGIOProtocolHandler.cpp#10 everywhere it's needed.
Comment 6 Mark Banner (:standard8) 2012-11-13 01:21:51 PST
Moving to mailnews core as this is applies to all of c-c not just SM.
Comment 7 Edmund Wong (:ewong) 2012-12-04 21:04:15 PST
Created attachment 688607 [details] [diff] [review]
mailnews patch wip
Comment 8 Edmund Wong (:ewong) 2012-12-07 20:37:34 PST
Created attachment 690048 [details] [diff] [review]
mailnews patch for bug 811199. (v2)
Comment 9 Karsten Düsterloh 2012-12-10 13:39:37 PST
Comment on attachment 690048 [details] [diff] [review]
mailnews patch for bug 811199. (v2)

Could you run this through the TB tryserver first, please?

I'm getting this error, but this may be a result of using external linkage under Linux:
 
/home/kd/projects/mozilla/mozilla.org/src/trunk/ldap/xpcom/src/nsLDAPUtils.h: In function ‘void LdapCompressWhitespace(nsCString_external&)’:
/home/kd/projects/mozilla/mozilla.org/src/trunk/ldap/xpcom/src/nsLDAPUtils.h:35:15: error: ‘intn’ was not declared in this scope
/home/kd/projects/mozilla/mozilla.org/src/trunk/ldap/xpcom/src/nsLDAPUtils.h:40:15: error: ‘intn’ was not declared in this scope
/home/kd/projects/mozilla/mozilla.org/src/trunk/ldap/xpcom/src/nsLDAPUtils.h:45:17: error: ‘intn’ was not declared in this scope

Yes, I applied both patches. ;-)
Comment 10 Edmund Wong (:ewong) 2012-12-11 18:12:30 PST
(In reply to Karsten Düsterloh from comment #9)
> Comment on attachment 690048 [details] [diff] [review]
> mailnews patch for bug 811199. (v2)
> 
> Could you run this through the TB tryserver first, please?
> 
> I'm getting this error, but this may be a result of using external linkage
> under Linux:
>  
> /home/kd/projects/mozilla/mozilla.org/src/trunk/ldap/xpcom/src/nsLDAPUtils.h:
> In function ‘void LdapCompressWhitespace(nsCString_external&)’:
> /home/kd/projects/mozilla/mozilla.org/src/trunk/ldap/xpcom/src/nsLDAPUtils.h:
> 35:15: error: ‘intn’ was not declared in this scope
> /home/kd/projects/mozilla/mozilla.org/src/trunk/ldap/xpcom/src/nsLDAPUtils.h:
> 40:15: error: ‘intn’ was not declared in this scope
> /home/kd/projects/mozilla/mozilla.org/src/trunk/ldap/xpcom/src/nsLDAPUtils.h:
> 45:17: error: ‘intn’ was not declared in this scope
> 
> Yes, I applied both patches. ;-)

I ran it by the try server and it burned on all platforms and completely
not related to the above.  Locally it builds.  So I'm confused.

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=0d4663534196
Comment 11 Edmund Wong (:ewong) 2012-12-11 18:16:12 PST
(In reply to Karsten Düsterloh from comment #9)
> Comment on attachment 690048 [details] [diff] [review]
> mailnews patch for bug 811199. (v2)
> 
> Could you run this through the TB tryserver first, please?
> 
> I'm getting this error, but this may be a result of using external linkage
> under Linux:

Fwiw, It built under Windows.
Comment 12 Karsten Düsterloh 2012-12-12 14:48:49 PST
Comment on attachment 690048 [details] [diff] [review]
mailnews patch for bug 811199. (v2)

> #define IS_SPACE(VAL) \
>-  (((((intn)(VAL)) & 0x7f) == ((intn)(VAL))) && isspace((intn)(VAL)))
>+  (((((PRIntn)(VAL)) & 0x7f) == ((PRIntn)(VAL))) && isspace((PRIntn)(VAL)))

Since this was explicitly copied to ldap/xpcom/src/nsLDAPUtils.h, you need to patch that file as well.
(There may be more, but the tree is busted atm.)
Comment 13 Karsten Düsterloh 2012-12-13 14:09:10 PST
One more error, then my tree built:

/home/kd/projects/mozilla/mozilla.org/src/trunk/mailnews/imap/src/nsIMAPGenericParser.cpp: In member function ‘void nsIMAPGenericParser::AdvanceTokenizerStartingPoint(int32_t)’:
/home/kd/projects/mozilla/mozilla.org/src/trunk/mailnews/imap/src/nsIMAPGenericParser.cpp:198:72: error: ‘int32’ was not declared in this scope
/home/kd/projects/mozilla/mozilla.org/src/trunk/mailnews/imap/src/nsIMAPGenericParser.cpp:198:78: error: expected ‘)’ before ‘strlen’
/home/kd/projects/mozilla/mozilla.org/src/trunk/mailnews/imap/src/nsIMAPGenericParser.cpp:198:8: error: expected ‘)’ before ‘}’ token
/home/kd/projects/mozilla/mozilla.org/src/trunk/mailnews/imap/src/nsIMAPGenericParser.cpp:198:8: error: expected primary-expression before ‘}’ token
/home/kd/projects/mozilla/mozilla.org/src/trunk/mailnews/imap/src/nsIMAPGenericParser.cpp:198:8: error: expected ‘;’ before ‘}’ token
make[4]: *** [nsIMAPGenericParser.o] Error 1

→ ‘int32’ needs to be ‘int32_t’
Comment 14 Edmund Wong (:ewong) 2012-12-13 17:57:13 PST
Created attachment 692115 [details] [diff] [review]
mailnews patch for bug 811199. (v3)

I don't understand.  I shouldn't be building that without the int32_t change,
but it builds on my windows.  Anyway, I've s/int32/int32_t that line.
Comment 15 Karsten Düsterloh 2013-01-15 14:49:56 PST
Comment on attachment 692115 [details] [diff] [review]
mailnews patch for bug 811199. (v3)

Please run a full comm-central tryserver round as well, just to be sure.
Comment 16 Edmund Wong (:ewong) 2013-01-15 23:54:07 PST
(In reply to Karsten Düsterloh from comment #15)
> Comment on attachment 692115 [details] [diff] [review]
> mailnews patch for bug 811199. (v3)
> 
> Please run a full comm-central tryserver round as well, just to be sure.

I pushed to try.  

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=b90746f90c2f

Not sure if it's related to my patch, but the Windows builds are busted.
Doing a local clobber build to make sure.
Comment 17 Edmund Wong (:ewong) 2013-01-18 19:45:16 PST
Pushed to try comm central again after the patch for bug 831300 landed.
This should clean up the Windows breakage.  

https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=e72c11b054a3
Comment 18 Edmund Wong (:ewong) 2013-01-18 19:45:58 PST
(In reply to Edmund Wong (:ewong) from comment #17)
> Pushed to try comm central again after the patch for bug 831300 landed.
> This should clean up the Windows breakage.  
> 
> https://tbpl.mozilla.org/?tree=Thunderbird-Try&rev=e72c11b054a3

By "this" I meant the patch for 831300 and not these patches.
Comment 19 Edmund Wong (:ewong) 2013-01-25 17:52:56 PST
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/4653f81112f9 (p1)
http://hg.mozilla.org/comm-central/rev/d3a3f3f73bcc (p2)

Note You need to log in before you can comment on or make changes to this bug.